use super::shared::{self, Endian};
use byteorder::ReadBytesExt;
use std::io::Seek;
use thiserror::Error as TeError;

#[derive(Debug, TeError)]
pub enum Error {
    #[error("IO error {0}")]
    Io(#[from] std::io::Error),
}
type Result<T> = std::result::Result<T, Error>;

pub struct NgSpiceData {}

/// Guess whether given reader is a legal NGSPICE signal file.
///
/// Please note that this is a vauge check.
/// There is no guarantee that the file with `true` return value of this function,
/// can be loaded successfully.
pub fn guess_signal<T>(reader: &mut T) -> bool
where
    T: ReadBytesExt + Seek,
{
    false
}

/// Load given reader as HSPICE signal file.
pub fn load_signal<T>(reader: &mut T) -> Result<NgSpiceData>
where
    T: ReadBytesExt + Seek,
{
    Ok(NgSpiceData {})
}
