use clap::Parser;

#[derive(Debug, Parser)]
#[command(version, author, about, long_about)]
struct LoadSigArgs {
    #[arg(short, long)]
    input: String,
    #[arg(short, long)]
    output: String,
    #[arg(short, long, num_args = 1.., required = true)]
    select: Vec<String>,
}

fn main() {
    let args = LoadSigArgs::parse();

    let mut reader = std::fs::File::open(&args.input).unwrap_or_else(|e| {
        eprintln!("{}", e);
        std::process::exit(1);
    });
    let _ = loadsig::load_signal(&mut reader).unwrap_or_else(|e| {
        eprintln!("{}", e);
        std::process::exit(2);
    });
}
